settingsLogin | Registersettings
리눅스 관련 모든 질문답변을 올려주세요! 100% 무료입니다! -Ask Ubuntu KR
Show Menu

의존성이 많이 꼬인 것 같은데 어떻게 방법이 없을까요!?

0 좋아요 0 싫어요
sudo apt-get --reinstall install debconf
패키지 목록을 읽는 중입니다... 완료
의존성 트리를 만드는 중입니다
상태 정보를 읽는 중입니다... 완료
다음을 바로잡으려면 'apt-get -f install'을 실행해 보십시오:
다음 패키지의 의존성이 맞지 않습니다:
 python-apt : 의존: python (>= 2.7) 하지만 %s 패키지를 설치하지 않을 것입니다
              의존: python (< 2.8) 하지만 %s 패키지를 설치하지 않을 것입니다
              의존: python:any (>= 2.7.1-0ubuntu2)
 python-chardet : 의존: python (>= 2.7) 하지만 %s 패키지를 설치하지 않을 것입니다
                  의존: python (< 2.8) 하지만 %s 패키지를 설치하지 않을 것입니다
                  의존: python:any (>= 2.7.1-0ubuntu2)
 python-configobj : 의존: python (>= 2.7) 하지만 %s 패키지를 설치하지 않을 것입니다
                    의존: python (< 2.8) 하지만 %s 패키지를 설치하지 않을 것입니다
                    의존: python:any (>= 2.7.1-0ubuntu2)
 python-gdbm : 의존: python (>= 2.7) 하지만 %s 패키지를 설치하지 않을 것입니다
               의존: python (< 2.8) 하지만 %s 패키지를 설치하지 않을 것입니다
 python-openssl : 의존: python (>= 2.7) 하지만 %s 패키지를 설치하지 않을 것입니다
                  의존: python (< 2.8) 하지만 %s 패키지를 설치하지 않을 것입니다
                  의존: python:any (>= 2.7.1-0ubuntu2)
 python-pam : 의존: python (>= 2.7~) 하지만 %s 패키지를 설치하지 않을 것입니다
              의존: python (< 2.8) 하지만 %s 패키지를 설치하지 않을 것입니다
 python-pkg-resources : 의존: python:any (>= 2.7)
                        의존: python:any (< 2.8)
 python-pycurl : 의존: python (>= 2.7) 하지만 %s 패키지를 설치하지 않을 것입니다
                 의존: python (< 2.8) 하지만 %s 패키지를 설치하지 않을 것입니다
                 의존: python:any (>= 2.7.1-0ubuntu2)
 python-requests : 의존: python:any (< 2.8)
                   의존: python:any (>= 2.7.5-5~)
 python-serial : 의존: python (>= 2.7) 하지만 %s 패키지를 설치하지 않을 것입니다
                 의존: python (< 2.8) 하지만 %s 패키지를 설치하지 않을 것입니다
                 의존: python:any (>= 2.7.1-0ubuntu2)
 python-setuptools : 의존: python:any (>= 2.7)
                     의존: python:any (< 2.8)
 python-six : 의존: python (>= 2.7) 하지만 %s 패키지를 설치하지 않을 것입니다
              의존: python (< 2.8) 하지만 %s 패키지를 설치하지 않을 것입니다
              의존: python:any (>= 2.7.1-0ubuntu2)
 python-stevedore : 의존: python (>= 2.7) 하지만 %s 패키지를 설치하지 않을 것입니다
                    의존: python (< 2.8) 하지만 %s 패키지를 설치하지 않을 것입니다
                    의존: python:any (>= 2.7.1-0ubuntu2)
 python-twisted-bin : 의존: python (>= 2.7) 하지만 %s 패키지를 설치하지 않을 것입니다
                      의존: python (< 2.8) 하지만 %s 패키지를 설치하지 않을 것입니다
 python-twisted-core : 의존: python (>= 2.7) 하지만 %s 패키지를 설치하지 않을 것입니다
                       의존: python (< 2.8) 하지만 %s 패키지를 설치하지 않을 것입니다
                       의존: python:any (>= 2.7.1-0ubuntu2)
 python-urllib3 : 의존: python:any (>= 2.7.5-5~)
                  의존: python:any (< 2.8)
 python-xapian : 의존: python (>= 2.7) 하지만 %s 패키지를 설치하지 않을 것입니다
                 의존: python (< 2.8) 하지만 %s 패키지를 설치하지 않을 것입니다
                 의존: python:any (>= 2.7.1-0ubuntu2)
 python-zope.interface : 의존: python (>= 2.7) 하지만 %s 패키지를 설치하지 않을 것입니다
                         의존: python (< 2.8) 하지만 %s 패키지를 설치하지 않을 것입니다
                         의존: python:any (>= 2.7.1-0ubuntu2)
 virtualenv-clone : 의존: python (>= 2.7) 하지만 %s 패키지를 설치하지 않을 것입니다
                    의존: python (< 2.8) 하지만 %s 패키지를 설치하지 않을 것입니다
                    의존: python:any (>= 2.7.1-0ubuntu2)
E: 의존성이 맞지 않습니다. 패키지 없이 'apt-get -f install'을 시도해 보십시오 (아니면 해결 방법을 지정하십시오).
root@localhost:/usr/bin#
문의 2017 2월 11 서버 / 클라우드 january89
  

1 답변

0 좋아요 0 싫어요
 
우수 답변
아래의 명령어는 의존성을 고치는 명렁으로서, 한번 실행 해보시기 바랍니다.

sudo apt-get -f install

sudo dpkg --configure -a
답변됨 2017 2월 11 janghe11
답변주셔서 감사합니다! 첫번째 명령어를 실행하면
dpkg: error processing package debconf (--configure):
 package is in a very bad inconsistent state; you should
 reinstall it before attempting configuration
위와 같은 에러가 발생
두번째 명령어는 오류가 너무 많아 처리가 불가능 합니다 라고 나옵니다...
다른방법이 있을까요?
Hosting by Microsoft MeltingPot/maru intermet
...